Page MenuHomePhabricator

Create #Standards-compliance tag
Closed, DeclinedPublic

Description

Project type: Tag
Name: Standards-compliance
Optional hashtatgs: #standard-compliance
Project description: Generic tag to mark tasks dealing with issues of not complying to (third party) standards (ISO, RFC, BCP, W3C TR, PSR, ...)
Visible To: Public (no login required)
Editable By: All Users
Joinable By: All Users

Related Objects

Event Timeline

Danny_B created this task.May 25 2016, 9:42 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 25 2016, 9:42 AM
Aklapper added a comment.EditedMay 25 2016, 2:23 PM

Spontaneous thoughts:

  • Would "MediaWiki does not support HTML 5 element XYZ" already be missing standard compliance?
  • Are RFCs already considered standards? (en.wp implies they are not.)
  • In some areas there might be competing "standards".
  • Is there general consensus that Wikimedia should follow all "standards", or would we end up with tagging some tasks that are about "standards" we do care about and tagging other tasks about "standards" we don't care about?

Less spontaneous thoughts:
Who would want to search specifically for generic standard violations across various different technology fields, and why? What would we gain from this tag? The proposal feels very broad to me, like tagging certain tasks as "unexpected software behavior". If Wikimedia code violates some standards that Wikimedia cares about someone will create a bug report in the corresponding software project. T134960#2295661 and T134960#2297115 feel very similar here when it comes to argumentation.

I'm not convinced anyone is interested in looking for all tasks about software not meeting some third party standards. Wikimedia internal stuff, sure, but probably not third party standards.

@Danny_B: Could you reply to T136173#2326399 and T136173#2340737 please? Thanks

Aklapper closed this task as Declined.Aug 1 2016, 9:21 AM

Declining for the time being as per last two comments and missing feedback.
Please feel free to reopen once additional (counter-)arguments have been provided. Thanks!

Danny_B reopened this task as Open.Aug 2 2016, 1:03 AM

There is indeed several tracking tasks coverable by this tag.

Aklapper closed this task as Declined.Sep 27 2016, 12:36 PM

Declining for the time being. Please only reopen once T136173#2326399 and T136173#2340737 have been answered. Thanks!